dbus ChangeLog,1.1288,1.1289 update-dbus-docs.sh,1.6,1.7
Simon McVittie
smcv at kemper.freedesktop.org
Mon May 21 09:43:59 PDT 2007
Update of /cvs/dbus/dbus
In directory kemper:/tmp/cvs-serv18505
Modified Files:
ChangeLog update-dbus-docs.sh
Log Message:
* update-dbus-docs.sh: Assorted improvements:
- Default user if $FDUSER is not set is the ssh default
(set in ~/.ssh/config or based on the local username), not a
hard-coded "johnp"
- Temporary checkout directory is created securely (preventing symlink
attacks), if mktemp(1) is available
- Use make -C rather than cd && make && cd ..
Index: ChangeLog
===================================================================
RCS file: /cvs/dbus/dbus/ChangeLog,v
retrieving revision 1.1288
retrieving revision 1.1289
diff -u -d -r1.1288 -r1.1289
--- ChangeLog 21 May 2007 16:41:16 -0000 1.1288
+++ ChangeLog 21 May 2007 16:43:57 -0000 1.1289
@@ -1,5 +1,15 @@
2007-05-21 Simon McVittie <simon.mcvittie at collabora.co.uk>
+ * update-dbus-docs.sh: Assorted improvements:
+ - Default user if $FDUSER is not set is the ssh default
+ (set in ~/.ssh/config or based on the local username), not a
+ hard-coded "johnp"
+ - Temporary checkout directory is created securely (preventing symlink
+ attacks), if mktemp(1) is available
+ - Use make -C rather than cd && make && cd ..
+
+2007-05-21 Simon McVittie <simon.mcvittie at collabora.co.uk>
+
* HACKING: Point to correct mailing list
2007-05-21 Simon McVittie <simon.mcvittie at collabora.co.uk>
Index: update-dbus-docs.sh
===================================================================
RCS file: /cvs/dbus/dbus/update-dbus-docs.sh,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -d -r1.6 -r1.7
--- update-dbus-docs.sh 12 Mar 2007 21:35:50 -0000 1.6
+++ update-dbus-docs.sh 21 May 2007 16:43:57 -0000 1.7
@@ -6,14 +6,15 @@
exit 1
}
-if test -z "$FDUSER" ; then
- FDUSER=johnp
+if test -n "$FDUSER" ; then
+ echo "Using freedesktop.org account $FDUSER"
+ user="$FDUSER@"
+else
+ echo "Using freedesktop.org account from ~/.ssh/config, or local username"
fi
-echo "Using freedesktop.org account $FDUSER"
-
-CHECKOUTDIR=/tmp/dbus-for-docs
-export CVSROOT=:ext:$FDUSER at cvs.freedesktop.org:/cvs/dbus
+CHECKOUTDIR=`mktemp -d || echo /tmp/dbus-for-docs`
+export CVSROOT=":ext:${user}cvs.freedesktop.org:/cvs/dbus"
cd $CHECKOUTDIR || die "could not changedir to $CHECKOUTDIR"
@@ -29,9 +30,7 @@
## you won't fail to update those docs
./autogen.sh --enable-xml-docs=yes --enable-doxygen-docs=yes || die "could not autogen"
doxygen Doxyfile || die "could not run Doxygen"
-cd doc || die "could not cd to doc dir"
-make || die "could not build docs"
-cd .. || die "could not cd up"
+make -C doc || die "could not build docs"
MANFILES=`find -name "dbus*.1"`
for M in $MANFILES ; do
@@ -50,6 +49,6 @@
diff -u filesystem.list tarball.list || die "some files were not included"
echo "Uploading docs to server"
-scp dbus-docs.tar.gz "$FDUSER"@pdx.freedesktop.org:
-ssh "$FDUSER"@pdx.freedesktop.org '(cd /srv/dbus.freedesktop.org/www/ && /bin/cp -f ~/dbus-docs.tar.gz . && tar zxf dbus-docs.tar.gz && echo "Successfully unpacked tarball on server")'
+scp dbus-docs.tar.gz "${user}"dbus.freedesktop.org:
+ssh "${user}"dbus.freedesktop.org '(cd /srv/dbus.freedesktop.org/www/ && /bin/cp -f ~/dbus-docs.tar.gz . && tar zxf dbus-docs.tar.gz && echo "Successfully unpacked tarball on server")'
More information about the dbus-commit
mailing list